<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: byte_swap_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_0aacf3aed1a5c7085b23ed9486273ee2.html">library</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">byte_swap_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacebyte__swap__m_1_1byte__swap.html">byte_swap_m::byte_swap</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacebyte__swap__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html">byte_swap_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a136f8d085df7163ac52cbb0514cf6747"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a136f8d085df7163ac52cbb0514cf6747">byte_swap_m::byte_swap_i0_4</a> (var)</td></tr>
<tr class="separator:a136f8d085df7163ac52cbb0514cf6747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ad0fc7068bcc759f16263c9627fa23"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a00ad0fc7068bcc759f16263c9627fa23">byte_swap_m::byte_swap_i1_4</a> (var, n)</td></tr>
<tr class="separator:a00ad0fc7068bcc759f16263c9627fa23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2167bb72cb18c0c9cf8b4c98525b658b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a2167bb72cb18c0c9cf8b4c98525b658b">byte_swap_m::byte_swap_i1_4_n8</a> (var, n)</td></tr>
<tr class="separator:a2167bb72cb18c0c9cf8b4c98525b658b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5f4e804834eb8100a73d95625400c1b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#af5f4e804834eb8100a73d95625400c1b">byte_swap_m::byte_swap_i2_4</a> (var, n1, n2)</td></tr>
<tr class="separator:af5f4e804834eb8100a73d95625400c1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26fc23e87fd70549f08d6329424e7017"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a26fc23e87fd70549f08d6329424e7017">byte_swap_m::byte_swap_i3_4</a> (var, n1, n2, n3)</td></tr>
<tr class="separator:a26fc23e87fd70549f08d6329424e7017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf3ae5df792f19fb93783634dc20e6a0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#abf3ae5df792f19fb93783634dc20e6a0">byte_swap_m::byte_swap_i0_8</a> (var)</td></tr>
<tr class="separator:abf3ae5df792f19fb93783634dc20e6a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21cd3bbe7d4ed50f53b7ed33f80b7f6b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a21cd3bbe7d4ed50f53b7ed33f80b7f6b">byte_swap_m::byte_swap_i1_8</a> (var, n)</td></tr>
<tr class="separator:a21cd3bbe7d4ed50f53b7ed33f80b7f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cf33ee5ec750ba39da55dc44d871ea0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a3cf33ee5ec750ba39da55dc44d871ea0">byte_swap_m::byte_swap_i1_8_n8</a> (var, n)</td></tr>
<tr class="separator:a3cf33ee5ec750ba39da55dc44d871ea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176832b98eedee706be4f9307849b67e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a176832b98eedee706be4f9307849b67e">byte_swap_m::byte_swap_i2_8</a> (var, n1, n2)</td></tr>
<tr class="separator:a176832b98eedee706be4f9307849b67e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3a38b55dc08759a6d33a0c20d9bd036"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#aa3a38b55dc08759a6d33a0c20d9bd036">byte_swap_m::byte_swap_i3_8</a> (var, n1, n2, n3)</td></tr>
<tr class="separator:aa3a38b55dc08759a6d33a0c20d9bd036"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa293743ae04685a72e941c3df114c57"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#aaa293743ae04685a72e941c3df114c57">byte_swap_m::byte_swap_r1_4</a> (var, n)</td></tr>
<tr class="separator:aaa293743ae04685a72e941c3df114c57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5eca19fa41484ef1d3223f66e9ac94"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a3c5eca19fa41484ef1d3223f66e9ac94">byte_swap_m::byte_swap_r2_4</a> (var, n1, n2)</td></tr>
<tr class="separator:a3c5eca19fa41484ef1d3223f66e9ac94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd3c2418f918a3c99f986f3c47feb3af"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#abd3c2418f918a3c99f986f3c47feb3af">byte_swap_m::byte_swap_r3_4</a> (var, n1, n2, n3)</td></tr>
<tr class="separator:abd3c2418f918a3c99f986f3c47feb3af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc8663a03ff565583edcac4af54c9991"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#abc8663a03ff565583edcac4af54c9991">byte_swap_m::byte_swap_r4_4</a> (var, n1, n2, n3, n4)</td></tr>
<tr class="separator:abc8663a03ff565583edcac4af54c9991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a738af297f8260172e2e0fe5d1c883cb6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a738af297f8260172e2e0fe5d1c883cb6">byte_swap_m::byte_swap_r0_8</a> (var)</td></tr>
<tr class="separator:a738af297f8260172e2e0fe5d1c883cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84b9c27932c2a361ebefc770923d08e6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a84b9c27932c2a361ebefc770923d08e6">byte_swap_m::byte_swap_r1_8</a> (var, n)</td></tr>
<tr class="separator:a84b9c27932c2a361ebefc770923d08e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13cc4a3bb017d63dc20184c2a1185b2e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a13cc4a3bb017d63dc20184c2a1185b2e">byte_swap_m::byte_swap_r1_8_n8</a> (var, n)</td></tr>
<tr class="separator:a13cc4a3bb017d63dc20184c2a1185b2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85ed471b42264f35010a862015f73cde"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a85ed471b42264f35010a862015f73cde">byte_swap_m::byte_swap_r2_8</a> (var, n1, n2)</td></tr>
<tr class="separator:a85ed471b42264f35010a862015f73cde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a2eeb49ab422efece1a18a5e7bb7704"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a1a2eeb49ab422efece1a18a5e7bb7704">byte_swap_m::byte_swap_r2_8_n8</a> (var, n1, n2)</td></tr>
<tr class="separator:a1a2eeb49ab422efece1a18a5e7bb7704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f48a49626fc8b80d9eb9efff0e9b061"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a0f48a49626fc8b80d9eb9efff0e9b061">byte_swap_m::byte_swap_r3_8</a> (var, n1, n2, n3)</td></tr>
<tr class="separator:a0f48a49626fc8b80d9eb9efff0e9b061"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e45cda1ac545e015838e3acfdedeb12"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacebyte__swap__m.html#a8e45cda1ac545e015838e3acfdedeb12">byte_swap_m::byte_swap_r4_8</a> (var, n1, n2, n3, n4)</td></tr>
<tr class="separator:a8e45cda1ac545e015838e3acfdedeb12"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:46 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
